Gstreamer 1.16.3 on jetpack 4.6.3 (TX2)

I am trying to install gstreamer 1.16.3 on my board - jetpack 4.6.3 (TX2).
I tried using this link but it not working (ld_library_path issues and Failed to load plugin issues): (using gst-install and manually)
https://docs.nvidia.com/jetson/archives/l4t-archived/l4t-3271/index.html#page/Tegra%20Linux%20Driver%20Package%20Development%20Guide/accelerated_gstreamer.html#wwpID0E06E0HA

Sorry for the late response.
The gstreamer version on Jetpack 4.6.3 is 1.16.2, you cannot simply install 1.16.3 as some modules has dependencies on it. Is there any specific reason that you want to install 1.16.3?